/*
 * 项目管理接口
*/
import request from '@/utils/request'
import qs from 'qs'

// 项目管理查询
export function getTenantList(params) {
  return request({
    url: 'bus/tenant/list',
    method: 'get',
    params
  })
}

// 添加项目管理
export function addTenant(data) {
  return request({
    url: 'sys/tenant/add',
    method: 'post',
    data
  })
}
// 修改项目管理
export function updateTenant(data) {
  return request({
    url: 'sys/tenant/update',
    method: 'post',
    data
  })
}

// 修改项目管理
export function relatedDept(data) {
  return request({
    url: 'bus/tenant/relateTenant',
    method: 'post',
    data
  })
}

// 删除项目管理
export function delTenantSys(ids) {
  return request({
    url: 'sys/tenant/delete',
    method: 'post',
    params: {
      ids: ids
    },
    paramsSerializer: params => {
      return qs.stringify(params, { indices: false })
    }
  })
}
